%define extDIR RT61_Linux_STA_Drv1.0.4.0
%define kernel_rel 2133

Summary: RT61 Wireless Driver
Name: RT61
Version: 1.0.4.0_%{kernel_rel}
Release: 1_FC5
ExclusiveArch: i686 i586
URL: http://www.ralinktech.com/drivers/Linux/RT61_Linux_STA_Drv1.0.4.0.tar.gz
Source0: RT61_Linux_STA_Drv1.0.4.0.tar.gz
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{extDIR}-root
BuildRequires: kernel-devel

%description
Just Description

%prep
%define DRV_DIR /lib/modules/`uname --kernel-release`/kernel/drivers/net/wireless
cd $RPM_SOURCE_DIR 
rm -rf %{extDIR} 
tar -zxvf %{SOURCE0} -C ../BUILD

%build
cd $RPM_BUILD_DIR/%{extDIR}/Module
cp -f Makefile.6 Makefile
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/Wireless/RT61STA
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname --kernel-release`/kernel/drivers/net/wireless

install -m 0644 %{extDIR}/Module/rt*.bin $RPM_BUILD_ROOT/etc/Wireless/RT61STA
install -m 0644 %{extDIR}/Module/rt61sta.dat $RPM_BUILD_ROOT/etc/Wireless/RT61STA/rt61sta.dat.template
install -m 0644 %{extDIR}/Module/readme $RPM_BUILD_ROOT/etc/Wireless/RT61STA
install -m 0744 %{extDIR}/Module/rt61.ko $RPM_BUILD_ROOT/%{DRV_DIR}

%clean
rm -rf $RPM_BUILD_ROOT

%post
depmod

%postun
depmod

%files
%defattr(-,root,root)
/*

%changelog
* Sat May 27 2006 Hyun-Jin Moon <moonhyunjin@gmail.com> 1.0.4.0-1
- Update to 1.0.4.0

* Fri Mar 31 2006 Hyun-Jin Moon <moonhyunjin@gmail.com> 1.0.3.0-1
- Initial spec file for Fedora Core 5
